/*!
 * Navbar styles
 */

.bd-navbar {
    padding: .75rem 0;
    background-color: transparent;
    box-shadow: 0 .5rem 1rem #00000026,inset 0 -1px #ffffff26;
}

@media (forced-colors) {
    .bd-navbar {
        background-color: Canvas
    }
}

.bd-navbar:after {
    position: absolute;
    inset: 0;
    z-index: -1;
    display: block;
    content: "";
    background-image: linear-gradient(rgba(var(--bd-pink-rgb),1),rgba(var(--bd-pink-rgb),.95))
}

@media (max-width: 991.98px) {
    .bd-navbar .bd-navbar-toggle {
        width:4.25rem
    }
}

.bd-navbar .navbar-toggler {
    padding: 0;
    margin-right: -.5rem;
    border: 0
}

.bd-navbar .navbar-toggler:first-child {
    margin-left: -.5rem
}

.bd-navbar .navbar-toggler:focus {
    box-shadow: none
}

.bd-navbar .navbar-brand {
    color: #fff;
    transition: transform .2s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
    .bd-navbar .navbar-brand {
        transition: none
    }
}

.bd-navbar .navbar-brand:hover {
    transform: rotate(-5deg) scale(1.1)
}

.bd-navbar .navbar-toggler,.bd-navbar .nav-link {
    padding-right: .25rem;
    padding-left: .25rem;
    color: #ffffffd9
}

.bd-navbar .navbar-toggler:hover,.bd-navbar .navbar-toggler:focus,.bd-navbar .nav-link:hover,.bd-navbar .nav-link:focus {
    color: #fff
}

.bd-navbar .navbar-toggler.active,.bd-navbar .nav-link.active {
    font-weight: 600;
    color: #fff
}

.bd-navbar .navbar-nav-svg {
    display: inline-block;
    vertical-align: -.125rem
}

.bd-navbar .offcanvas-lg {
    background-color: var(--bd-pink-bg);
    border-left: 0
}

@media (max-width: 991.98px) {
    .bd-navbar .offcanvas-lg {
        box-shadow:var(--bs-box-shadow-lg)
    }
}

.bd-navbar .dropdown-toggle:focus:not(:focus-visible) {
    outline: 0
}

.bd-navbar .dropdown-menu {
    --bs-dropdown-min-width: 12rem;
    --bs-dropdown-padding-x: .25rem;
    --bs-dropdown-padding-y: .25rem;
    --bs-dropdown-link-hover-bg: rgba(var(--bd-pink-rgb), .1);
    --bs-dropdown-link-active-bg: rgba(var(--bd-pink-rgb), 1);
    --bs-dropdown-font-size: .875rem;
    font-size: .875rem;
    border-radius: .5rem;
    box-shadow: var(--bs-box-shadow)
}

.bd-navbar .dropdown-menu li+li {
    margin-top: .125rem
}

.bd-navbar .dropdown-menu .dropdown-item {
    border-radius: .25rem
}

.bd-navbar .dropdown-menu .active {
    font-weight: 600
}

.bd-navbar .dropdown-menu-end {
    --bs-dropdown-min-width: 8rem
}

[data-bs-theme=dark] .bd-navbar {
    box-shadow: 0 .5rem 1rem #00000026,inset 0 -1px #ffffff26
}

.sidebar-nav {
    --bs-nav-link-color:  var(--bs-body-color);
    --bs-nav-link-hover-color:  var(--bs-emphasis-color);
}
.sidebar-nav .nav-link {
    padding-inline: .75rem;
    border-radius: .5rem;
}
.sidebar-nav .nav-link:not(.active):hover, .sidebar-nav .nav-link:not(.active):focus {
    background-color: rgba(var(--bd-pink-rgb),  0.05);
}
.sidebar-nav .nav-link.active {
    color: var(--bs-emphasis-color);
    background-color: rgba(var(--bd-pink-rgb),  0.1);
}
.nav-pills {
    --bs-nav-pills-border-radius:  var(--bs-border-radius);
    --bs-nav-pills-link-active-color:  var(--bs-emphasis-color);
    --bs-nav-pills-link-active-bg:  var(--bd-pink-rgb);
}
.nav-pills .nav-link {
    border-radius: var(--bs-nav-pills-border-radius);
}
.nav-pills .nav-link.active, .nav-pills .show>.nav-link {
    color: var(--bs-nav-pills-link-active-color);
    background-color: rgba(var(--bs-nav-pills-link-active-bg),  0.1);
}